<div class="card">
	<div class="card-header heading">Executive Summary: Assessment
		Information Summary</div>
	<div class="card-margin">
		<div class="class-block">
			<div class="card"
				*ngIf="tenantId?.includes('serviceprovider_saqd')">
				<div class="card-header heading">Part 2a. Scope Verification</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head"
							*ngIf="scopeVerificationSelectedService">
							<div class="container">
								<div class="row">
									<div class="col-sm-5">
										<label class="heading" for="name">Name of service(s)
											assessed: </label>&nbsp; &nbsp; <b>{{scopeVerificationSelectedService.assessedServiceName}}</b>
										<label class="heading" for="types">Hosting Provider: </label>&nbsp; &nbsp;
										<div class="row" *ngIf="hostingProviderTypes">
											<ul class="list-style">
													<li *ngFor="let type of hostingProviderTypes; let i=index"><b class="head">{{type.serciveType}}</b>&nbsp; &nbsp;<b class="head"><i>{{type.other}}</i></b></li>
											</ul>
										</div>
										<label class="heading" for="types">Managed Service (specify): </label>&nbsp; &nbsp;
										<div class="row" *ngIf="managedServiceTypes">
											<ul class="list-style">
													<li *ngFor="let type of managedServiceTypes; let i=index"><b class="head">{{type.serciveType}}</b>&nbsp; &nbsp;<b class="head"><i>{{type.other}}</i></b></li>
											</ul>
										</div>
									</div>
									<div class="col-sm-5">
										<div class="row">
											<label class="heading" for="type">Type of service(s)
												assessed: </label>&nbsp; <b>{{scopeVerificationSelectedService.assessedServiceType}}</b>
										</div>
										<label class="heading" for="types">Payment Process: </label>&nbsp; &nbsp;
										<div class="row" *ngIf="paymentProcessTypes">
											<ul class="list-style">
													<li *ngFor="let type of paymentProcessTypes; let i=index"><b class="head">{{type.serciveType}}</b>&nbsp; &nbsp;<b><i class="head">{{type.other}}</i></b></li>
													</ul>
										</div>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right" [routerLink]="['/saq/executive-summary/scope-verification']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>
								</div>
							</div>
							<br>

						</div>
					</div>
				</div>
			</div>
			<div class="card"
				*ngIf="tenantId?.includes('merchant_saqd')">
				<div class="card-header heading">Part 2a. Type of Merchant
					Business (check all that apply)</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head">
							<div class="container">
								<div class="row">
									<div class="col-sm-4" *ngIf="merchantBusinessTypeSelected">
										<div class="row">
											<ul class="list-style">
												<li
													*ngFor="let type of merchantBusinessTypeSelected let i=index"><b>{{type.merchantBusinessTypeId.businessType}}</b>&nbsp;
													&nbsp;<b><i>{{type.specification}}</i></b></li>
											</ul>
										</div>
									</div>
									<div class="col-sm-3" *ngIf="paymentChannelBusinessServes">
										<div class="">
											<label class="heading" for="type">What types of
												payment channels does your business serve?: </label>
											<div class="row">
												<ul class="list-style">
													<li
														*ngFor="let type of paymentChannelBusinessServes let i=index"><b>{{type.paymentChannelId.name}}</b></li>
												</ul>
											</div>
										</div>
									</div>
									<div class="col-sm-3" *ngIf="paymentChannelSaqCovers">
										<div class="">
											<label class="heading" for="type">Which payment
												channels are covered by this SAQ?: </label>&nbsp;
											<div class="row">
												<ul class="list-style">
													<li
														*ngFor="let type of paymentChannelSaqCovers let i=index"><b>{{type.paymentChannelId.name}}</b></li>
												</ul>
											</div>
										</div>
									</div>
									<div class="col-sm-2">
									<jhi-button class="float-right" [routerLink]="['/saq/executive-summary/scope-verification']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>
								</div>
							</div>
							<br>

						</div>
					</div>
				</div>
			</div>
			<div class="card mt-2"
				*ngIf="tenantId?.includes('serviceprovider_saqd')">
				<div class="card-header heading">Part 2a. Scope Verification
					(continued)</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head"
							*ngIf="scopeVerificationNotSelectedService">
							<div class="container">
								<div class="row">
									<div class="col-sm-5">
										<label class="heading" for="name">Name of service(s)
											not assessed: </label>&nbsp; <b>{{scopeVerificationNotSelectedService.notAssessedServiceName}}</b>
										<label class="heading" for="types">Hosting Provider: </label>&nbsp; &nbsp;
										<div class="row" *ngIf="notHostingProviderTypes">
											<ul class="list-style">
													<li *ngFor="let type of notHostingProviderTypes; let i=index"><b class="head">{{type.serciveType}}</b>&nbsp; &nbsp;<b class="head"><i>{{type.other}}</i></b></li>
											</ul>
										</div>
										<label class="heading" for="types">Managed Service: </label>&nbsp; &nbsp;
										<div class="row" *ngIf="notManagedServiceTypes">
											<ul class="list-style">
													<li *ngFor="let type of notManagedServiceTypes; let i=index"><b class="head">{{type.serciveType}}</b>&nbsp; &nbsp;<b class="head"><i>{{type.other}}</i></b></li>
											</ul>
										</div>
									</div>
									<div class="col-sm-5">
										<div class="row">
											<label class="heading" for="type">Type of service(s)
												not assessed: </label>&nbsp; <b>{{scopeVerificationNotSelectedService.notAssessedServiceType}}</b>
											<label class="heading" for="type">Type of service(s)
												not assessed: </label>&nbsp; <b>{{scopeVerificationNotSelectedService.comment}}</b> 
										</div>
										<label class="heading" for="types">Payment Process: </label>&nbsp; &nbsp;
											<div class="row" *ngIf="notPaymentProcessTypes">
												<ul class="list-style">
													<li
														*ngFor="let type of notPaymentProcessTypes; let i=index"><b class="head">{{type.serciveType}}</b>&nbsp; &nbsp;<b class="head"><i>{{type.other}}</i></b></li>
												</ul>
											</div>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right" [routerLink]="['/saq/executive-summary/scope-verification-continue']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>
								</div>
							</div>
							<br>

						</div>
					</div>
				</div>
			</div>
			<div class="card mt-2">
				<div class="card-header heading">Part 2b. Description of
					Payment Card Business</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head" *ngIf="paymentCardBusinessDescription">
							<div class="container">
								<div class="row">
									<div class="col-sm-5">
										<div class="row">
											<label class="col-sm-10 heading" for="name">Describe
												how and in what capacity your business stores, processes,
												and/or transmits cardholder data. </label>&nbsp; <b>{{paymentCardBusinessDescription[0].descriptionTransmit}}</b>
										</div>
									</div>
									<div class="col-sm-5">
										<div class="row" *ngIf="tenantId?.includes('serviceprovider_saqd')">
											<label class="col-sm-10 heading" for="type">Describe how and in
												what capacity your business is otherwise involved in or has
												the ability to impact the security of cardholder data. </label>&nbsp;
											<b>{{paymentCardBusinessDescription[0].descriptionImpact}}</b>
										</div>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right" [routerLink]="['/saq/executive-summary/payment-card-business']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>
								</div>
							</div>
							<br>

						</div>
					</div>
				</div>
			</div>
			<div class="card mt-2">
				<div class="card-header heading">Part 2c. Locations</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head" *ngIf="location">
							<div class="container">
								<div class="row">
									<div class="col-sm-10">
										<table class="table">
											<thead>
												<tr>
													<th>Type of facility</th>
													<th>Number of facilities of this type</th>
													<th>Location(s) of facility (city, country)</th>
												</tr>
											</thead>
											<tbody>
												<tr *ngFor="let loc of location">
													<td>{{loc.facilityType}}</td>
													<td>{{loc.numberOfFacilityType}}</td>
													<td>{{loc.location}}</td>
												</tr>

											</tbody>
										</table>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right"
											[routerLink]="['/saq/executive-summary/locations']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>
								</div>
							</div>
							<br>

						</div>
					</div>
				</div>
			</div>
			<div class="card mt-2">
				<div class="card-header heading">Part 2d. Payment Applications</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head" *ngIf="paymentApplication">
							<div class="container">
								<div class="row">
									<div class="">
										<label class="heading" for="type">Does the
											organization use one or more Payment Applications?: </label>&nbsp;&nbsp;<b
											*ngIf="paymentApplication[0].isPaymentApplicationMoreThanOne">Yes</b>
										<b
											*ngIf="!paymentApplication[0].isPaymentApplicationMoreThanOne">No</b>

									</div>
								</div>
							</div>
							<div class="container">
								<div class="row">
									<div class="col-sm-10">
										<table class="table">
											<thead>
												<tr>
													<th>Payment Application Name</th>
													<th>Version Number</th>
													<th>Application Vendor</th>
													<th>Is application PA-DSS Listed?</th>
													<th>PA-DSS Listing Expiry date (if applicable)</th>
												</tr>
											</thead>
											<tbody>
												<tr
													*ngFor="let payment of paymentApplication[0].paymentApplicationLists">
													<td>{{payment.paymentApplicationName}}</td>
													<td>{{payment.versionNumber}}</td>
													<td>{{payment.applicationVendor}}</td>
													<td><b *ngIf="payment.isApplicationPadssListed">Yes</b>
														<b *ngIf="!payment.isApplicationPadssListed">No</b></td>
													<td>{{payment.expiryDate}}</td>
												</tr>

											</tbody>
										</table>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right"
											[routerLink]="['/saq/executive-summary/payment-applications']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>
								</div>
							</div>
							<br>
						</div>
					</div>
				</div>
			</div>
			<div class="card mt-2">
				<div class="card-header heading">Part 2e. Description of
					Environment</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head" *ngIf="environmentDescription">
							<div class="container">
								<div class="row">
									<div class="col-sm-5">
										<div class="row">
											<label class="col-sm-8 heading" for="name">Provide a
												high-level description of the environment covered by this
												assessment:</label>&nbsp; <b>{{environmentDescription[0].description}}</b>
										</div>
									</div>
									<div class="col-sm-5">
										<div class="row">
											<label class="col-sm-9 heading" for="type">Does your
												business use network segmentation to affect the scope of
												your PCI DSS environment?: </label>&nbsp; <b
												*ngIf="environmentDescription[0].networkSegmented">Yes</b> <b
												*ngIf="!environmentDescription[0].networkSegmented">No</b>
										</div>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right"
											[routerLink]="['/saq/executive-summary/environment']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>
								</div>
							</div>
							<br>
						</div>
					</div>
				</div>
			</div>
			<div class="card mt-2">
				<div class="card-header heading">Part 2f. Third-Party Service
					Providers</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head" *ngIf="thirdPartyServiceProvider">
							<div class="container">
								<div class="row">
									<div class="col-sm-5">
										<div class="row">
											<label *ngIf="tenantId?.includes('serviceprovider_saqd')" class="col-sm-10 heading" for="type">Does your
												company have a relationship with a Qualified Integrator
												Reseller (QIR) for the purpose of the services being
												validated?: </label>
												<label *ngIf="tenantId?.includes('merchant_saqd')" class="col-sm-10 heading" for="type">Does your company use a Qualified Integrator & Reseller (QIR)?: </label>&nbsp;&nbsp;<b
												*ngIf="thirdPartyServiceProvider[0].qirRelationshipPresent">Yes</b>
											<b
												*ngIf="!thirdPartyServiceProvider[0].qirRelationshipPresent">No</b>
											<div class=""
												*ngIf="thirdPartyServiceProvider[0].qirRelationshipPresent">
												<label class="col-sm-10 heading" for="type">Name of
													QIR Company: </label>&nbsp;&nbsp;{{thirdPartyServiceProvider[0].qirCompanyName}}
												<br> <label class="col-sm-10 heading" for="type">QIR
													Individual Name: </label>&nbsp;&nbsp;{{thirdPartyServiceProvider[0].qirIndividualName}}
												<br> <label class="col-sm-10 heading" for="type">Description
													of services provided by QIR: </label>&nbsp;&nbsp;{{thirdPartyServiceProvider[0].serviceDescription}}
											</div>
										</div>
									</div>
									<div class="col-sm-5">
										<div class="row">
											<label *ngIf="tenantId?.includes('serviceprovider_saqd')" class="col-sm-10 heading" for="type">Does your
												company have a relationship with one or more third-party
												service providers (for example, Qualified Integrator &
												Resellers (QIR), gateways, payment processors, payment
												service providers (PSP), web-hosting companies, airline
												booking agents, loyalty program agents, etc.) for the
												purpose of the services being validated? </label> <label *ngIf="tenantId?.includes('merchant_saqd')"
												class="col-sm-10 heading" for="type">Does your
												company share cardholder data with any third-party service
												providers (for example, Qualified Integrator & Resellers
												(QIR), gateways, payment processors, payment service
												providers (PSP), web-hosting companies, airline booking
												agents, loyalty program agents, etc.)?: </label> &nbsp;&nbsp;
												<b
												*ngIf="thirdPartyServiceProvider[0].serviceProviderRelationShipPresent">Yes</b>
											<b
												*ngIf="!thirdPartyServiceProvider[0].serviceProviderRelationShipPresent">No</b>
											<div class="col-sm-10"
												*ngIf="thirdPartyServiceProvider[0].serviceProviderRelationShipPresent">
												<table class="table">
													<thead>
														<tr>
															<th>Name of service provider:</th>
															<th>Description of services provided:</th>
														</tr>
													</thead>
													<tbody>
														<tr
															*ngFor="let sp of thirdPartyServiceProvider[0].serviceByServiceProviders">
															<td>{{sp.providerName}}</td>
															<td>{{sp.descriptionOfServiceProvider}}</td>
														</tr>

													</tbody>
												</table>
											</div>
										</div>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right"
											[routerLink]="['/saq/executive-summary/third-party-service-providers']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>

								</div>
							</div>
							<br>
						</div>
					</div>
				</div>
			</div>
			<div class="card mt-2"
				*ngIf="tenantId?.includes('serviceprovider_saqd')">
				<div class="card-header heading">Part 2g. Summary of
					Requirements Tested</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="head" *ngIf="testedRequirementHeader">
							<div class="container">
								<div class="row">
									<div class="col-sm-10">
										<div class="">
											<label class="heading" for="type">Name of Service
												Assessed:</label>&nbsp;&nbsp;<b>
												{{testedRequirementHeader[0].serviceAssessedName}} </b>
										</div>
										<div class="row">
											<div class="col-sm-10"
												*ngIf="testedRequirementHeader[0].testedRequirementSummaries">
												<table class="table">
													<thead>
														<tr>
															<th><b>PCI DSS Requirement</b></th>
															<th><b>Assessed</b></th>
															<th><b>Justification for Approach</b></th>
														</tr>
													</thead>
													<tbody>
														<tr
															*ngFor="let summary of testedRequirementHeader[0].testedRequirementSummaries">
															<td><b>{{summary.pcidssRequirementId.requirementNumber}}</b></td>
															<td><b>{{summary.assessed}}</b></td>
															<td><b>{{summary.justification}}</b></td>
														</tr>

													</tbody>
												</table>
											</div>
										</div>
									</div>
									<div class="col-sm-2">
										<jhi-button class="float-right"
											[routerLink]="['/saq/executive-summary/summary-of-requirements-tested']"
											replaceUrl="true" ex-summary-edit>Edit</jhi-button>
									</div>

								</div>
							</div>
							<br>
						</div>
					</div>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button (click)="cancel()" cancel>Cancel</jhi-button>
				<jhi-button (click)="submit()" submit>Submit</jhi-button>
			</div>
		</div>
	</div>
</div>
